#!/bin/bash

NUMFRAMES=30
NUM=1

echo "
set key 1.29,1.38 Left reverse samplen 1 spacing 1.7 
set border 31 lw 0.5
#unset border
#unset xtics
#unset ytics
set xlabel '\$t$ (s)' 0,0.5
set ylabel '\$y$ (cm)' 1.3,0

set xrange [0:5]
set yrange [-1:1.5]
set grid linecolor rgb '#EEEEEE'
set label '\textcolor{white}{.}' at 5.1,1.63 
set label '\textcolor{white}{.}' at -0.95,-1.37
#plot '-' linecolor rgb '#FFFFFF' noti
plot '-' w l ti '\$y(t)\$'
1.1 1.1
e
" > plot0.gp

echo '\documentclass{article}
\usepackage{graphicx,psfrag}
\usepackage{color}
\usepackage{mathpazo}
\usepackage{bm}
\begin{document}
\thispagestyle{empty}
\begin{figure}[!h]
\begin{center}
\input{gpplot.tex}
\end{center}
\end{figure}
\end{document}' > gp2epspdfaux.tex

echo "set term pslatex color size 4,2.5
set out 'gpplot.tex' 
" > gp2epspdfauxtmpl.gp
cat plot0.gp >> gp2epspdfauxtmpl.gp
echo "
set out ; set term X11" >> gp2epspdfauxtmpl.gp

gnuplot gp2epspdfauxtmpl.gp
latex -halt-on-error -interaction nonstopmode gp2epspdfaux.tex
dvips -D600 -E* -o gp2epspdfaux.eps gp2epspdfaux.dvi
epstool --bbox --copy --output plot0.eps gp2epspdfaux.eps
rm gpplot.tex gp2epspdfaux.aux gp2epspdfaux.dvi gp2epspdfaux.eps gp2epspdfaux.log gp2epspdfaux.tex gp2epspdfauxtmpl.gp
epstopdf plot0.eps



while [ $NUM -le $NUMFRAMES ]; do

echo "unset border
unset xtics
unset ytics
unset key
set xrange [0:5]
set yrange [-1:1.5]
set label '\textcolor{white}{.}' at 5.1,1.63 
set label '\textcolor{white}{.}' at -0.95,-1.37
set label '\$\\phi=0\$' at 4.21,sin(4.51+$NUM*2*pi/$NUMFRAMES)*sin(1+2*(4.51+$NUM*2*pi/$NUMFRAMES))
plot sin(x+$NUM*2*pi/$NUMFRAMES)*sin(1+2*(x+$NUM*2*pi/$NUMFRAMES)) lw 1.2 noti" > plot$NUM.gp

echo '\documentclass{article}
\usepackage{graphicx,psfrag}
\usepackage{color}
\usepackage{bm}
\begin{document}
\thispagestyle{empty}
\begin{figure}[!h]
\begin{center}
\input{gpplot.tex}
\end{center}
\end{figure}
\end{document}' > gp2epspdfaux.tex

#echosettermpslatexcolorsize4/1.155,2.5/1.07
echo "set term pslatex color size 4/1.105,2.5/1.07
set out 'gpplot.tex' 
" > gp2epspdfauxtmpl.gp
cat plot$NUM.gp >> gp2epspdfauxtmpl.gp
echo "
set out ; set term X11" >> gp2epspdfauxtmpl.gp

gnuplot gp2epspdfauxtmpl.gp
latex -halt-on-error -interaction nonstopmode gp2epspdfaux.tex
dvips -D600 -E* -o gp2epspdfaux.eps gp2epspdfaux.dvi
epstool --bbox --copy --output plot$NUM.eps gp2epspdfaux.eps
rm gpplot.tex gp2epspdfaux.aux gp2epspdfaux.dvi gp2epspdfaux.eps gp2epspdfaux.log gp2epspdfaux.tex gp2epspdfauxtmpl.gp
epstopdf plot$NUM.eps

echo "plot$NUM.pdf" >> auxxx

let NUM=$NUM+1
done

pdftk plot0.pdf $(cat auxxx) cat output plot.pdf

rm auxxx

exit
